Bug 1014960 - Update error message on LDAP Configuration screen with "Confirm DN Password" string
Update error message on LDAP Configuration screen with "Confirm DN Password" ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 04:18 EDT by Petr Kremensky
Modified: 2017-10-09 20:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-03 04:18:38 EDT
Description of problem:
 We need to fix current error message on LDAP Configuration screen as it not fit to all cases. 

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3

Steps to Reproduce:
 1. Go to post-install configuration screen
 2. Select to perform additional post-install configuration, check Enable LDAP, press Next
 3. On LDAP Configuration screen enter some string into DN Password, but leave the Confirm DN Password input empty, Press Next

Actual results:
 Error dialogue is thrown with message: 
"A new LDAP connection requires a Connection Name, Directory Server, Distinguisjed Name and a DN Password" 
but all these four values are filled.  

We should add "Confirm DN Password" to error message.
Comment 1 Francisco Canas 2013-10-03 13:10:23 EDT
I have changed the user message to say:
"A new LDAP connection requires a Connection Name, Directory Server, Distinguished Name (DN), and a confirmed DN Password. Please fill every field before proceeding."
Comment 2 Petr Kremensky 2013-10-07 07:34:00 EDT
Verified on EAP 6.2.0.ER4 installer.

Note You need to log in before you can comment on or make changes to this bug.